%define major	3.7

Name:		libwvstreams
Version: 	3.70
Release: 	3mdk
License: 	LGPL
Group:          System/Libraries
Group:          Development/C
Summary: 	WvStreams is a network programming library written in C++.
URL: 		http://open.nit.ca/wvstreams
Source: 	http://open.nit.ca/download/wvstreams-%{version}.tar.bz2
Patch0: 	%{name}-3.69-redhat.patch.bz2
Patch1: 	%{name}-%{version}-gcc3.patch.bz2
Patch2:		%{name}-3.70-openssl097.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: 	openssl-devel
BuildRequires: 	zlib-devel

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n %{name}%{major}
Group:          System/Libraries
Summary: 	WvStreams is a network programming library written in C++.

%description -n %{name}%{major}
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n %{name}%{major}-devel
Summary: Development files for WvStreams.
Group: Development/C
Requires: %{name}%{major} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{name}%{major}-devel
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.  This package contains the files
needed for developing applications which use WvStreams.

%prep
%setup -q -n wvstreams-%{version}
%patch0 -p1 -b .redhat
%patch1 -p1 -b .gcc3
%patch2 -p1 -b .openssl097

%build
make COPTS="$RPM_OPT_FLAGS -fPIC" LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix} LIBDIR=$RPM_BUILD_ROOT%{_libdir}
chmod 755 $RPM_BUILD_ROOT%{_libdir}/*.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}%{major}
%defattr(-,root,root)
%doc COPYING.LIB src/README
%{_libdir}/*.so.*

%files -n %{name}%{major}-devel
%defattr(-,root,root)
%{_includedir}/wvstreams
%{_libdir}/*.a
%{_libdir}/*.so

%post -p /sbin/ldconfig -n %{name}%{major}
%postun -p /sbin/ldconfig -n %{name}%{major}

%changelog
* Thu Jul 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.70-3mdk
- fix buildrequires

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.70-2mdk
- rebuild
- use %%make macro
- correct a const/not-const type mismatch that breaks compilation with newer
  OpenSSL (P2 from rawhide)

* Tue Dec 17 2002 Aurelien Lemaire <alemaire@mandrakesoft.com> 3.70-1mdk
- Initial Mandrakesoft version
- Clean spec file
- Add major number 

* Tue Sep 10 2002 Mike A. Harris <mharris@redhat.com> 3.70-6
- use FHS macros for multilib systems

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com>
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Nalin Dahyabhai <nalin@redhat.com> 3.70-1
- patch to build with gcc 3.x
- build with -fPIC

* Wed Apr 10 2002 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.70

* Wed Mar 27 2002 Nalin Dahyabhai <nalin@redhat.com> 3.69-1
- pull in from upstream tarball

* Wed Feb 27 2002 Nalin Dahyabhai <nalin@redhat.com>
- merge the main and -devel packages into one .spec file
- use globbing to shorten the file lists
- don't define name, version, and release as macros (RPM does this by default)
- use the License: tag instead of Copyright: (equivalent at the package level,
  but License: reflects the intent of the tag better)
- use a URL to point to the source of the source tarball
- add BuildRequires: openssl-devel (libwvcrypto uses libcrypto)
- move the buildroot to be under %%{_tmppath}, so that it can be moved by
  altering RPM's configuration

* Tue Jan 29 2002 Patrick Patterson <ppatters@nit.ca>
- Initial Release of WvStreams
